=== modified file 'bzrlib/annotate.py'
--- bzrlib/annotate.py	2011-12-19 13:23:58 +0000
+++ bzrlib/annotate.py	2012-06-26 12:14:56 +0000
@@ -47,32 +47,6 @@
     CURRENT_REVISION,
     Revision,
     )
-from bzrlib.symbol_versioning import (
-    deprecated_function,
-    deprecated_in,
-    )
-
-
-@deprecated_function(deprecated_in((2, 4, 0)))
-def annotate_file(branch, rev_id, file_id, verbose=False, full=False,
-                  to_file=None, show_ids=False):
-    """Annotate file_id at revision rev_id in branch.
-
-    The branch should already be read_locked() when annotate_file is called.
-
-    :param branch: The branch to look for revision numbers and history from.
-    :param rev_id: The revision id to annotate.
-    :param file_id: The file_id to annotate.
-    :param verbose: Show all details rather than truncating to ensure
-        reasonable text width.
-    :param full: XXXX Not sure what this does.
-    :param to_file: The file to output the annotation to; if None stdout is
-        used.
-    :param show_ids: Show revision ids in the annotation output.
-    """
-    tree = branch.repository.revision_tree(rev_id)
-    annotate_file_tree(tree, file_id, to_file, verbose=verbose,
-        full=full, show_ids=show_ids, branch=branch)
 
 
 def annotate_file_tree(tree, file_id, to_file, verbose=False, full=False,

=== modified file 'bzrlib/tests/test_annotate.py'
--- bzrlib/tests/test_annotate.py	2011-05-03 13:53:46 +0000
+++ bzrlib/tests/test_annotate.py	2012-06-26 12:14:56 +0000
@@ -302,19 +302,6 @@
                                   '1.1.1 barry@f | third\n',
                                   builder.get_branch(), 'a-id', 'rev-3')
 
-    def test_annotate_file(self):
-        builder = self.create_merged_trees()
-
-        to_file = StringIO()
-        self.applyDeprecated(symbol_versioning.deprecated_in((2, 4, 0)),
-            annotate.annotate_file, builder.get_branch(),
-                'rev-3', 'a-id', to_file=to_file)
-
-        self.assertAnnotateEqualDiff('1     joe@foo | first\n'
-                                     '2     joe@foo | second\n'
-                                     '1.1.1 barry@f | third\n',
-                                     to_file.getvalue())
-
     def test_annotate_limits_dotted_revnos(self):
         """Annotate should limit dotted revnos to a depth of 12"""
         builder = self.create_deeply_merged_trees()

=== modified file 'doc/en/release-notes/bzr-2.6.txt'
--- doc/en/release-notes/bzr-2.6.txt	2012-06-26 12:33:14 +0000
+++ doc/en/release-notes/bzr-2.6.txt	2012-06-26 14:01:14 +0000
@@ -61,6 +61,9 @@
 * Remove deprecated Repository.iter_reverse_revision_history().
   (Jelmer Vernooij)
 
+* The previously deprecated ``bzrlib.annotate.annotate_file`` function
+  has been removed. (Jelmer Vernooij)
+
 Internals
 *********
 

